{% extends 'base.html' %}
{%load static%}

{% block tambahStyle %}
<link rel="stylesheet" href="{% static 'css/styles.css'%}">
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Tinos&display=swap" rel="stylesheet">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<style>
    .row-radio{
        display: block;
        padding-top: 20px;
    }

    .tabel-vote{
        width: 600px;
        height: 287px;
        margin-top: 40px;
        margin-right: auto;
        margin-left: auto;
        box-sizing: border-box;
        border-radius: 8px;
        box-shadow: 0 0 20px #000000b3;
        font-family: Oswald;
        background-color: white;
    }

    .pilihan-1{
        background-color:#cce3de ;
        font-weight: bolder;
        color: black ;
        box-sizing: border-box;
        border-radius: 30px 30px 30px 30px;
    }

    .pilihan-2{
        margin-top: 10px;
        background-color:#a4c3b2 ;
        font-weight: bolder;
        color: black  ;
        box-sizing: border-box;
        border-radius: 30px 30px 30px 30px;
    }

    .pilihan-3{
        margin-top: 10px;
        background-color:#cce3de ;
        font-weight: bolder;
        color: black  ;
        box-sizing: border-box;
        border-radius: 30px 30px 30px 30px;
    }

    .vote{
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
        background-color: #52b788;
        font-weight: bolder;
        color: white;
    }

    #pertanyaan-poll{
        font-family: 'Tinos', serif;
        font-size: 25px;
        color: white;
    }
    .cursor{
        width:30px;
        height: 30px;
        border: 1px solid #2d6a4f;
        border-radius: 50%;
        position: absolute;
        animation: cursorAnim .5s infinite alternate;
        pointer-events: none;
    }

    .cursor::after{
        content:"";
        width: 30px;
        height: 30px;
        position: absolute;
        border: 8px solid #52b788;
        border-radius: 50%;
        opacity: .5;
        top: -1px;
        left: -1px;
        animation: cursorAnim2 .5s infinite alternate;
    }

    @keyframes cursorAnim {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.7);
        }
    }

    @keyframes cursorAnim2 {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.4);
        }
    }


    @media (min-width: 576px) and (max-width:767px){
        .tabel-vote{
            width: 540px;
        }

    }

    @media (min-width: 500px) and (max-width:575px){
        .tabel-vote{
            width: 480px;
        }
    }

    @media (min-width: 400px) and (max-width:499px){
        .tabel-vote{
            width: 390px;
        }
    }

    @media (min-width: 300px) and (max-width:399px){
        .tabel-vote{
            width: 290px;
        }
    }





</style>
{% endblock tambahStyle %}

{% block content %}
<body style="background-color: #DCE5D2";>
    {% if user.is_authenticated %}
    <div class="cursor"></div>
    <div class="tabel-vote" style="margin-top:100px;">
        <div class="container">
            <div class="row">
              <div class="col  " style=" background-color:#ABB868 ;">
                <br>
                <h5 style="text-align: center;" id="pertanyaan-poll"><strong>{{ poll.pertanyaan }}</strong></h5>
                <br>
              </div>    
            </div>
            <div class="row row-radio">
                <form method="POST">
                    {% csrf_token %}
                    <div class="form-group grup-from">
                        <div class="radio">
                            <div class="col pilihan-1" >
                                <label>
                                    <input type="radio" name="poll" value="pilihan1" required>
                                    <strong>{{ poll.pilihan_satu }}</strong>
                                </label> &nbsp;
                            </div>
                            <div class="col pilihan-2">
                                <label>
                                    <input type="radio" name="poll" value="pilihan2">
                                    <strong>{{ poll.pilihan_dua }}</strong>
                                </label> &nbsp;
                            </div>

                            <div class="col pilihan-3" >
                                <label>
                                    <input type="radio" name="poll" value="pilihan3">
                                    <strong>{{ poll.pilihan_tiga}}</strong>
                                </label> &nbsp;
                            </div>
                        </div>
                    </div>
                    <div class="text-center">
                        <button type="submit" class="btn vote">&nbsp;Vote!&nbsp;</button>
                    </div>
                </form>
            </div>
    </div>
    {% else %}
    <h1 style="text-align: center;">Anda belum Login!</h1>
    {% endif %} 

    <script>
        $(document).mousemove(function(e){
            $(".cursor").css({left:e.clientX-10, top:e.clientY-10})
        });
    </script>
    
</body>
{% endblock %}
